Upstream information

CVE-2018-19486 at MITRE

Description

Git before 2.19.2 on Linux and UNIX executes commands from the current working directory (as if '.' were at the end of $PATH) in certain cases involving the run_command() API and run-command.c, because there was a dangerous change from execvp to execv during 2017.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 9.8 4.8
Vector AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H AV:L/AC:L/PR:L/UI:R/S:U/C:L/I:L/A:L
Access Vector Network Local
Access Complexity Low Low
Privileges Required None Low
User Interaction None Required
Scope Unchanged Unchanged
Confidentiality Impact High Low
Integrity Impact High Low
Availability Impact High Low
SUSE Bugzilla entry: 1117257 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for Basesystem 15
  • git >= 2.16.4-3.9.2
  • git-core >= 2.16.4-3.9.2
Patchnames:
SUSE-SLE-Module-Basesystem-15-2018-2990
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • git-core >= 2.16.4-3.9.2
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP1 GA git-core
SUSE Linux Enterprise Module for Development Tools 15
  • git >= 2.16.4-3.9.2
  • git-arch >= 2.16.4-3.9.2
  • git-cvs >= 2.16.4-3.9.2
  • git-daemon >= 2.16.4-3.9.2
  • git-doc >= 2.16.4-3.9.2
  • git-email >= 2.16.4-3.9.2
  • git-gui >= 2.16.4-3.9.2
  • git-svn >= 2.16.4-3.9.2
  • git-web >= 2.16.4-3.9.2
  • gitk >= 2.16.4-3.9.2
Patchnames:
SUSE-SLE-Module-Development-Tools-15-2018-2990
SUSE Linux Enterprise Module for Development Tools 15 SP1
  • git >= 2.16.4-3.9.2
  • git-arch >= 2.16.4-3.9.2
  • git-cvs >= 2.16.4-3.9.2
  • git-daemon >= 2.16.4-3.9.2
  • git-doc >= 2.16.4-3.9.2
  • git-email >= 2.16.4-3.9.2
  • git-gui >= 2.16.4-3.9.2
  • git-svn >= 2.16.4-3.9.2
  • git-web >= 2.16.4-3.9.2
  • gitk >= 2.16.4-3.9.2
Patchnames:
SUSE Linux Enterprise Module for Development Tools 15 SP1 GA git
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15
  • git >= 2.16.4-3.9.2
  • git-credential-gnome-keyring >= 2.16.4-3.9.2
  • git-credential-libsecret >= 2.16.4-3.9.2
  • git-p4 >= 2.16.4-3.9.2
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-2018-2990
openSUSE Leap 15.0
  • git >= 2.16.4-lp150.2.9.1
  • git-arch >= 2.16.4-lp150.2.9.1
  • git-core >= 2.16.4-lp150.2.9.1
  • git-core-debuginfo >= 2.16.4-lp150.2.9.1
  • git-credential-gnome-keyring >= 2.16.4-lp150.2.9.1
  • git-credential-gnome-keyring-debuginfo >= 2.16.4-lp150.2.9.1
  • git-credential-libsecret >= 2.16.4-lp150.2.9.1
  • git-credential-libsecret-debuginfo >= 2.16.4-lp150.2.9.1
  • git-cvs >= 2.16.4-lp150.2.9.1
  • git-daemon >= 2.16.4-lp150.2.9.1
  • git-daemon-debuginfo >= 2.16.4-lp150.2.9.1
  • git-debuginfo >= 2.16.4-lp150.2.9.1
  • git-debugsource >= 2.16.4-lp150.2.9.1
  • git-doc >= 2.16.4-lp150.2.9.1
  • git-email >= 2.16.4-lp150.2.9.1
  • git-gui >= 2.16.4-lp150.2.9.1
  • git-p4 >= 2.16.4-lp150.2.9.1
  • git-svn >= 2.16.4-lp150.2.9.1
  • git-svn-debuginfo >= 2.16.4-lp150.2.9.1
  • git-web >= 2.16.4-lp150.2.9.1
  • gitk >= 2.16.4-lp150.2.9.1
Patchnames:
openSUSE-2019-1032


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
CaaS Platform 1.0 git Not affected
CaaS Platform 2.0 git Not affected
CaaS Platform 3.0 git Not affected
HPE Helion OpenStack 8 git Not affected
OpenStack Cloud Magnum Orchestration 7.0 git Not affected
SUSE Linux Enterprise High Performance Computing 12 git Not affected
SUSE Linux Enterprise Module for Basesystem 15 GA git Released
SUSE Linux Enterprise Module for Development Tools 15 GA git Released
SUSE Linux Enterprise SDK 11 SP4 git Not affected
SUSE Linux Enterprise SDK 12 SP3 git Not affected
SUSE Linux Enterprise SDK 12 SP4 git Not affected
SUSE Linux Enterprise Server 12 GA LTSS git Not affected
SUSE Linux Enterprise Server 12 SP1 LTSS git Not affected
SUSE Linux Enterprise Server 12 SP2 LTSS git Not affected
SUSE Linux Enterprise Server 12 SP3 git Not affected
SUSE Linux Enterprise Server 12 SP4 git Not affected
SUSE Linux Enterprise Server for SAP Applications 12 GA git Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 git Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 git Not affected
SUSE Openstack Cloud 8 git Not affected
SUSE Studio Onsite 1.3 git Not affected